<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { init } from 'aos';
import { FeaturedVideo } from '../components/common/index';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  components: {
    FeaturedVideo,
  },
  async asyncData({ $content, error }: any) {
    try {
      const demo = await $content('demo').fetch();
      return { demo };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).demo, this.$route.path);
  },
  beforeMount() {
    init({
      once: true,
    });
  },
});
</script>

<template>
  <div>
    <div class="demo">
      <SlpContainer>
        <SlpRow class="grayBackground">
          <SlpColumn class="text__container" :cols="6">
            <SlpTypography
              class="slp-mb-16 text__header"
              variant="heading2-bold"
              tag="h1"
            >
              {{ demo.data.header }}
            </SlpTypography>
            <SlpTypography
              class="slp-mb-16 text__subtitle"
              variant="heading4"
              tag="h2"
            >
              {{ demo.data.subtitle }}
            </SlpTypography>
          </SlpColumn>
          <SlpColumn class="column" :cols="6">
            <FeaturedVideo :data="demo.demo_video" />
          </SlpColumn>
        </SlpRow>
      </SlpContainer>
    </div>
    <SlpContainer class="slp-my-64">
      <SlpTypography class="slp-mb-16" tag="h4" variant="heading4">{{
        demo.data.content
      }}</SlpTypography>
      <ul>
        <li
          v-for="(item, index) in demo.data.items"
          :key="index"
          class="slp-mb-16 slp-flex"
        >
          <SlpIcon
            class="slp-mr-4"
            name="check-circle"
            variant="product"
            slp-color="accent-500"
          />
          {{ item }}
        </li>
      </ul>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.demo {
  background-color: $color-surface-800;

  .text__container {
    margin-top: $spacing-96;
    padding-right: $spacing-32;
  }

  .column {
    @media (min-width: $breakpoint-lg) {
      padding: 0 $spacing-32;
    }

    .container:deep {
      margin-bottom: 0;

      .videoCard {
        background: transparent;
      }
    }
  }
}

.content:deep {
  ul {
    padding-left: $spacing-24;
    font-size: 16px;
    line-height: 24px;

    li {
      margin-bottom: 1rem;
    }
  }

  p {
    font-size: 23px;
    line-height: 28px;
    margin-bottom: $spacing-32;
  }
}
</style>
